import { IsEnum, IsUrl } from 'class-validator';

enum ImageTypeDto {
  Jpeg = 'jpeg',
  Png = 'png',
}

export enum JobStatusDto {
  Completed = 'completed',
  Failed = 'failed',
  Queued = 'queued',
}

export class CreateJobRequestDto {
  @IsUrl()
  pageUrl!: string;

  @IsEnum(ImageTypeDto)
  imageType!: ImageTypeDto;
}

export class GetJobResponseDto {
  status!: JobStatusDto;
}
